org.apache.kylin.jdbc.util

## Class DefaultX509TrustManager

- java.lang.Object
- - org.apache.kylin.jdbc.util.DefaultX509TrustManager

All Implemented Interfaces:
  TrustManager, X509TrustManager

    public class DefaultX509TrustManager
    extends Object
    implements X509TrustManager

Author:
  xduo

### Constructor Summary

Constructors
Constructor and Description
`DefaultX509TrustManager(KeyStore keystore)` Constructor for DefaultX509TrustManager.

### Method Summary

Methods
`void` `checkClientTrusted(X509Certificate[] chain, String authType)`
`void` `checkServerTrusted(X509Certificate[] chain, String authType)`
`X509Certificate[]` `getAcceptedIssuers()`
`boolean` `isClientTrusted(X509Certificate[] certificates)`
`boolean` `isServerTrusted(X509Certificate[] certificates)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultX509TrustManager

    public DefaultX509TrustManager(KeyStore keystore)
                            throws NoSuchAlgorithmException,
                                   KeyStoreException

Constructor for DefaultX509TrustManager.

Throws:
  `NoSuchAlgorithmException`
  `KeyStoreException`

### Method Detail

#### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`

#### isClientTrusted

    public boolean isClientTrusted(X509Certificate[] certificates)

#### isServerTrusted

    public boolean isServerTrusted(X509Certificate[] certificates)

#### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] chain,
                          String authType)
                            throws CertificateException

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

#### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] chain,
                          String authType)
                            throws CertificateException

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`